import { MapName, MonsterName } from "./definitions/adventureland-data.js";
export declare class Constants {
    /** Various client related things */
    static PATHFINDER_FIRST_MAP: MapName;
    static MAX_PINGS: number;
    static PING_EVERY_MS: number;
    static CONNECT_TIMEOUT_MS: number;
    static RECONNECT_TIMEOUT_MS: number;
    static STALE_MONSTER_MS: number;
    static STALE_PROJECTILE_MS: number;
    static TIMEOUT: number;
    static UPDATE_POSITIONS_EVERY_MS: number;
    /** Various distance related things */
    static MAX_VISIBLE_RANGE: number;
    static NPC_INTERACTION_DISTANCE: number;
    static DASH_DISTANCE: number;
    static DOOR_REACH_DISTANCE: number;
    static TRANSPORTER_REACH_DISTANCE: number;
    static BASE: {
        h: number;
        v: number;
        vn: number;
    };
    /** Miscellaneous game related things */
    static BANK_PACK_SIZE: number;
    static MAX_PARTY_SIZE: number;
    static PONTY_MARKUP: number;
    /** Mongo related things */
    static MONGO_UPDATE_MS: number;
    /** Monsters that are worth tracking in our database */
    static ONE_SPAWN_MONSTERS: MonsterName[];
    static SERVER_INFO_MONSTERS: MonsterName[];
    static SPECIAL_MONSTERS: MonsterName[];
}
