import LRU from "lru-cache";
import Mongoose from "mongoose";
export * from "./achievements/achievements.model.js";
export * from "./achievements/achievements.types.js";
export * from "./deaths/deaths.model.js";
export * from "./deaths/deaths.types.js";
export * from "./entities/entities.model.js";
export * from "./entities/entities.types.js";
export * from "./npcs/npcs.model.js";
export * from "./npcs/npcs.types.js";
export * from "./players/players.model.js";
export * from "./players/players.types.js";
export declare class Database {
    static nextUpdate: LRU<string, number>;
    static connection: Mongoose.Connection;
    protected constructor();
    static connect(uri?: string): Promise<typeof Mongoose>;
    static disconnect(): void;
}
