/// <reference types="mongoose" />
import { Character } from "./Character.js";
export * from "./Character.js";
import { Constants } from "./Constants.js";
export * from "./Constants.js";
import { Entity } from "./Entity.js";
export * from "./Entity.js";
import { Game } from "./Game.js";
export * from "./Game.js";
import { Mage } from "./Mage.js";
export * from "./Mage.js";
import { Merchant } from "./Merchant.js";
export * from "./Merchant.js";
import { Observer } from "./Observer.js";
export * from "./Observer.js";
import { Paladin } from "./Paladin.js";
export * from "./Paladin.js";
import { Pathfinder } from "./Pathfinder.js";
export * from "./Pathfinder.js";
import { PingCompensatedCharacter } from "./PingCompensatedCharacter.js";
export * from "./PingCompensatedCharacter.js";
import { Player } from "./Player.js";
export * from "./Player.js";
import { Priest } from "./Priest.js";
export * from "./Priest.js";
import { Ranger } from "./Ranger.js";
export * from "./Ranger.js";
import { Rogue } from "./Rogue.js";
export * from "./Rogue.js";
import { Tools } from "./Tools.js";
export * from "./Tools.js";
import { Warrior } from "./Warrior.js";
export * from "./Warrior.js";
import { Database } from "./database/Database.js";
export * from "./database/Database.js";
export * from "./database/achievements/achievements.model.js";
export * from "./database/banks/banks.model.js";
export * from "./database/deaths/deaths.model.js";
export * from "./database/entities/entities.model.js";
export * from "./database/npcs/npcs.model.js";
export * from "./database/players/players.model.js";
export * from "./definitions/adventureland.js";
export * from "./definitions/adventureland-server.js";
export * from "./definitions/adventureland-data.js";
declare const _default: {
    AchievementModel: import("mongoose").Model<import("./database/Database.js").IAchievementDocument, {}, {}, {}>;
    BankModel: import("mongoose").Model<import("./database/banks/banks.types.js").IBankDocument, {}, {}, {}>;
    Character: typeof Character;
    Constants: typeof Constants;
    Database: typeof Database;
    DeathModel: import("mongoose").Model<import("./database/Database.js").IDeathDocument, {}, {}, {}>;
    Entity: typeof Entity;
    EntityModel: import("mongoose").Model<import("./database/Database.js").IEntityDocument, {}, {}, {}>;
    Game: typeof Game;
    Mage: typeof Mage;
    Merchant: typeof Merchant;
    NPCModel: import("mongoose").Model<import("./database/Database.js").INPCDocument, {}, {}, {}>;
    Observer: typeof Observer;
    Paladin: typeof Paladin;
    Pathfinder: typeof Pathfinder;
    PingCompensatedCharacter: typeof PingCompensatedCharacter;
    Player: typeof Player;
    PlayerModel: import("mongoose").Model<import("./database/Database.js").IPlayerDocument, {}, {}, {}>;
    Priest: typeof Priest;
    Ranger: typeof Ranger;
    Rogue: typeof Rogue;
    Tools: typeof Tools;
    Warrior: typeof Warrior;
};
export default _default;
