import { PingCompensatedCharacter } from "./PingCompensatedCharacter.js";
export declare class Mage extends PingCompensatedCharacter {
    ctype: "mage";
    alchemy(): Promise<void>;
    blink(x: number, y: number): Promise<void>;
    burst(target: string): Promise<void>;
    /**
     *
     * @param targets Put in pairs of entity IDs, and how much mp to spend attacking each target. E.g.: [["12345", "100"]]
     */
    cburst(targets: [string, number][]): Promise<void>;
    energize(target: string, mp?: number): Promise<void>;
    entangle(target: string, essenceofnature?: number): Promise<void>;
    light(): Promise<void>;
    magiport(target: string): Promise<void>;
    /**
     * NOTE: This function is not named 'reflection' due to the 'reflection' property.
     *
     * @param {string} target
     * @return {*}  {Promise<void>}
     * @memberof Mage
     */
    applyReflection(target: string): Promise<void>;
}
