import { CharacterData, EntitiesData, PlayerData, QData, ServerData } from "./definitions/adventureland-server.js";
import { Character } from "./Character.js";
import { GData, SkillName } from "./definitions/adventureland-data.js";
export declare class PingCompensatedCharacter extends Character {
    constructor(userID: string, userAuth: string, characterID: string, g: GData, serverData: ServerData);
    connect(): Promise<void>;
    calculateCompensation(): number;
    protected setNextSkill(skill: SkillName, next: Date): void;
    parseCharacter(data: CharacterData | PlayerData): void;
    protected parseEntities(data: EntitiesData): void;
    protected parseQData(data: QData): void;
    protected pingLoop(): void;
}
