import { PingCompensatedCharacter } from "./PingCompensatedCharacter.js";
export declare class Ranger extends PingCompensatedCharacter {
    ctype: "ranger";
    fiveShot(target1: string, target2: string, target3: string, target4: string, target5: string): Promise<string[]>;
    fourFinger(target: string): Promise<void>;
    huntersMark(target: string): Promise<void>;
    piercingShot(target: string): Promise<string>;
    poisonArrow(target: string, poison?: number): Promise<string>;
    /**
     * TODO: Add a fail check for when we supershot an entity that doesn't exist (probably already killed)
     *
     * @param {string} target
     * @return {*}  {Promise<string>}
     * @memberof Ranger
     */
    superShot(target: string): Promise<string>;
    threeShot(target1: string, target2: string, target3: string): Promise<string[]>;
}
